package EFS::DBI::Result::Cabinet;

use strict;
use warnings;
use English;

use base q{EFS::DBI::Result};

__PACKAGE__->load_components( qw/+EFS::DBI::Prefix Core/ );

__PACKAGE__->table( q{cabinet} );

__PACKAGE__->add_columns( qw( location name ) );
__PACKAGE__->add_columns(
    id => { __PACKAGE__->get_id_column_attrs },
);
__PACKAGE__->set_primary_key( q{id} );
__PACKAGE__->sequence( q{cabinet_seq} );

__PACKAGE__->belongs_to( location => q{EFS::DBI::Result::Location} );

__PACKAGE__->has_many( attrs => q{EFS::DBI::Result::CabinetAttrs} );

sub object_id {
    my $self = shift;
    my $separator = shift || q{/};
    return join( $separator,
                 $self->location->name,
                 $self->name );
}

1;

# Local Variables:
#   mode: cperl
#   cperl-indent-level: 4
#   fill-column: 78
# End:
# vim: expandtab shiftwidth=4:
