package EFS::DBI::Result::PodAttrs;

use strict;
use warnings;
use English;

use base q{EFS::DBI::Result};

__PACKAGE__->load_components( qw/+EFS::DBI::Prefix Core/ );

__PACKAGE__->table( q{pod_attrs} );

__PACKAGE__->add_columns( qw( pod name value ) );
__PACKAGE__->add_columns(
    id => { __PACKAGE__->get_id_column_attrs },
);
__PACKAGE__->set_primary_key( q{id} );
__PACKAGE__->sequence( q{pod_attrs_seq} );

__PACKAGE__->belongs_to( pod => q{EFS::DBI::Result::Pod} );

sub display_columns {
    return qw(location pod name value);
}

sub display_headers {
    return qw(Location Pod Attribute Value);
}

sub location {
    return shift->pod->location;
}

1;

# Local Variables:
#   mode: cperl
#   cperl-indent-level: 4
#   fill-column: 78
# End:
# vim: expandtab shiftwidth=4:
