package EFS::DBI::Result::ProjectAttrs;

use strict;
use warnings;
use English;

use base q{EFS::DBI::Result};

__PACKAGE__->load_components( qw/+EFS::DBI::Prefix Core/ );

__PACKAGE__->table( q{project_attrs} );

__PACKAGE__->add_columns( qw( project name value ) );
__PACKAGE__->add_columns(
    id => {
        __PACKAGE__->get_id_column_attrs,
    },
);
__PACKAGE__->set_primary_key( q{id} );
__PACKAGE__->sequence( q{project_attrs_seq} );

__PACKAGE__->belongs_to( project => q{EFS::DBI::Result::Project} );

sub display_columns {
    return qw(metaproj project name value);
}

sub display_headers {
    return qw(Metaproj Project Attribute Value);
}

sub metaproj {
    return shift->project->metaproj;
}

1;

# Local Variables:
#   mode: cperl
#   cperl-indent-level: 4
#   fill-column: 78
# End:
# vim: expandtab shiftwidth=4:
